| NUC472_NUC442_BSP V3.04.000 The Board Support Package for NUC472/NUC442

Modules | Data Structures | Typedefs | Functions | Variables
USBH Exported Structures
NUC472/NUC442 Device Driver » USBH Driver » USBH Exported Constants
Collaboration diagram for USBH Exported Structures:

## Modules
| USBH Exported Functions

## Data Structures
struct | iso_pkt_t
struct | urb_t
struct | usb_device

## Typedefs
typedef HIDDEN_SYMBOLS struct iso_pkt_t | ISO_PACKET_DESCRIPTOR_T
typedef struct urb_t | URB_T
typedef HIDDEN_SYMBOLS struct usb_device | USB_DEV_T

## Functions
struct | __attribute__ ((__packed__))

## Variables
| DEV_REQ_T
| USB_DEV_DESC_T
| USB_EP_DESC_T
| USB_IF_DESC_T
| USB_CONFIG_DESC_T

## Detailed Description

## Typedef Documentation

## ◆ ISO_PACKET_DESCRIPTOR_T

typedef HIDDEN_SYMBOLS struct iso_pkt_t ISO_PACKET_DESCRIPTOR_T

Configuration descriptor structure

Isochronous packet structure

## ◆ URB_T

typedef struct urb_t URB_T

Isochronous packet structure

URB structure

## ◆ USB_DEV_T

typedef HIDDEN_SYMBOLS struct usb_device USB_DEV_T

URB structure

USB device structure

## Function Documentation

## ◆ __attribute__()

struct __attribute__ | ( | (__packed__) |  | ) |

< device descriptor structure

< Device descriptor structure

Endpoint descriptor structure

Endpoint descriptor structure

Interface descriptor structure

Interface descriptor structure

Configuration descriptor structure

< Characteristics of request

< Specific request

< Word-sized field that varies according to request

< Word-sized field that varies according to request; typically used to pass an index or offset

< Number of bytes to transfer if there is a Data stage

< Length of device descriptor

< Device descriptor type

< USB version number

< Device class code

< Device subclass code

< Device protocol code

< Maximum packet size of control endpoint

< Vendor ID

< Product ID

< Device ID

< Manufacture description string ID

< Product description string ID

< Serial number description string ID

< Total number of configurations

< Length of endpoint descriptor

< Descriptor type

< Endpoint address

< Endpoint attribute

< Maximum packet size

< Synchronous transfer interval

< Refresh

< Sync address

< Length of interface descriptor

< Descriptor type

< Interface number

< Alternate setting number

< Number of endpoints

< Interface class code

< Interface subclass code

< Interface protocol code

< Interface ID

< Endpoint descriptor

< Length of configuration descriptor

< Descriptor type

< Total length of this configuration

< Total number of interfaces

< Configuration descriptor number

< String descriptor ID

< Configuration characteristics

< Maximum power consumption

Definition at line 160 of file usbh_core.h.

## Variable Documentation

## ◆ DEV_REQ_T

DEV_REQ_T

Definition at line 190 of file usbh_core.h.

## ◆ USB_CONFIG_DESC_T

USB_CONFIG_DESC_T

Definition at line 366 of file usbh_core.h.

## ◆ USB_DEV_DESC_T

USB_DEV_DESC_T

Device descriptor structure

Definition at line 270 of file usbh_core.h.

## ◆ USB_EP_DESC_T

USB_EP_DESC_T

Definition at line 300 of file usbh_core.h.

## ◆ USB_IF_DESC_T

USB_IF_DESC_T

Definition at line 335 of file usbh_core.h.